apiVersion: v1
kind: ServiceAccount
metadata:
  name: {{ .Values.name }}
  namespace: {{ .Values.namespace }}
secrets:
  - name: {{ .Values.name }}-token
---
apiVersion: v1
kind: Secret
metadata:
  name: {{ .Values.name }}-token
  namespace: {{ .Values.namespace }}
  annotations:
    kubernetes.io/service-account.name: {{ .Values.name }}
type: kubernetes.io/service-account-token
